MOVEit Transfer 2019.2 features customer and partner-requested fixes and user wins along with expanded REST API capabilities for power-users and system integrators.

/api/v1/contacts).POST /api/v1/folders/{folderId}/files?uploadType=resumable). Upload ordered parts until the final chunk./api/v1/users/{Id}). /api/v1/folders/{Id}/copy endpoint./api/v1/files/{Id}/move /api/v1/folders/{Id}/move endpoint./api/v1/serverinfo).Better upload and download experience, resumable upload, better styling, expandable window for comments and upload list, and much more.
New JavaScript Wizard with Expandable Notes Box Highlighted (upload shown)

The REST API and new JavaScript Wizard upload experience support uploading a single file in pieces across multiple requests.
This feature reduces friction for end-users that upload very large files, access MOVEit Transfer on busy networks and more. It allows your users to:
Upload
|
Retry Canceled or Interrupted Upload
|
Resumed Upload
|
Get or manage contacts for org users while leveraging short scripts or REST-enabled applications (/api/v1/contacts).
REST Endpoint
https://<your-transfer-site>/api/v1/contacts
Example
curl -k -H 'Authorization: Bearer pl4B9ns6....iEtgpCWaA' https://moveit.example.com/api/v1/contacts
Example Output
{
"sorting" : [
{
"sortField" : "name",
"sortDirection" : "asc"
}
],
"items" : [
{
"email" : "anyuser@example.edu",
"type" : "Unreg",
"identifier" : "3b46dfa6-6630-4843-b8c5-0a585b4a307b",
"name" : "Emma Curtis"
},
{
"email" : "cfo@example.com"
"type" : "User",
"identifier" : "468b947a-6b20-4e64-b7ed-fd3cc8471ba1",
"name" : "Paul Flores",
},
{
"email" : "financeteam@example.com"
"type" : "Group",
"identifier" : "8e99a6b5-4b7e-468d-91ce-755fd584750b",
"name" : "Finance Team",
},
{
"email" : "jean-97@example.org"
"type" : "User",
"identifier" : "f081915a-232c-490d-b32c-6508960c8983",
"name" : "Jean Johnston",
},
{
"email" : "dtaylor@example.com",
"type" : "Admin",
"name" : "Denise Taylor",
"identifier" : "a03e5134-401b-4133-a9b0-397aac271ce5"
},
],
"paging" : {
"page" : 1,
"totalItems" : 5,
"totalPages" : 1,
"perPage" : 25
}
}
Avoid Web server maximum allowed content size restraints by streaming large files when you upload.
Return and filter folders according to users that can access or modify them —GET(list), PUT(change), POST(set), and DELETE user access controls for a folder.
REST Endpoint
https://<your-transfer-site>/api/v1/folders/<Folder-ID>/acls
Example
curl -k -H 'Authorization: Bearer pl4B9ns6....iEtgpCWaA' https://moveit.example.com/api/v1/folders/433001012/acls
Example Output
{
"sorting" : [
{
"sortDirection" : "asc",
"sortField" : "name"
}
],
"items" : [
{
"name" : "Emma Curtis",
"permissions" : {
"admin" : false,
"share" : true,
"listFiles" : true,
"addDeleteSubfolders" : true,
"notify" : true,
"sharePermissions" : {
"writeFiles" : false,
"readFiles" : false,
"listUsers" : false,
"notify" : false,
"listFiles" : false,
"deleteFiles" : false
},
"deleteFiles" : true,
"writeFiles" : true,
"listUsers" : false,
"readFiles" : true
},
"id" : "l1ph71je2hnjd6v2",
"type" : "User"
}
],
"paging" : {
"totalItems" : 1,
"page" : 1,
"perPage" : 25,
"totalPages" : 1
}
}
Copy a folder or use a boilerplate folder (with permissions and content) as a template. If permissions are not set the copied folder inherits these properties from its new parent.
REST Endpoint
https://<your-transfer-site>/api/v1/folders/<my-source-folder-ID>/copy
Example
curl -k -X POST "https://transfer-cd/api/v1/folders/433001012/copy" \
-H "Authorization: Bearer $myAuth" \
-H "accept: application/json" \
-H "Content-Type: application/json" -d "{ \"destinationFolderId\": \"614384736\"}"
Example Output
{
"parentId" : "614384736",
"enforceUniqueFilenames" : true,
"path" : "/Home/org1_admin/MyDestFolder/coolstuff",
"systemType" : "User",
"deliveryRecepientNotificationType" : "None",
"lastContentChangeTime" : "2019-10-08T17:17:24",
"uploadNotificationConfirmationTime" : 60,
"sharedWithUsersCount" : 2,
"folderType" : "Normal",
"owner" : "",
"id" : "614210483",
"isShared" : true,
"cleanType" : "Never",
"responseTime" : 10,
"name" : "anynewuser",
"orgId" : 9683,
"fileMaskRule" : "AllowExceptMatching",
"fileMasks" : "",
"subfolderCleanTime" : 0,
"subfolderCount" : 7,
"permission" : {
"canAddSubfolders" : true,
"canListSubfolders" : true,
"canWriteFiles" : true,
"canShare" : true,
"canDeleteFiles" : true,
"canChangeSettings" : true,
"canDelete" : true,
"canReadFiles" : true,
"canListFiles" : true
},
"newFileNotificationType" : "Batch",
"newTime" : 7,
"sharedWithGroupsCount" : 0,
"description" : "",
"cleanTimeDays" : 30,
"quota" : 0,
"responseText" : "",
"totalFileCount" : 22,
"uploadNotificationConfirmationType" : "None",
"newFileNotificationTime" : 15,
"parentInheritRights" : 377392666,
"responseType" : "RedirectAfter",
"allowFileOverwrite" : false
}
Move or copy files.
REST Endpoint
https://<your-transfer-site>/api/v1/files/<file-ID>/copy
https://<your-transfer-site>/api/v1/files/<file-ID>/move
Example
curl -k -H "Authorization: Bearer $myAuth" https://moveit.example.com/api/v1/files/433025986/copy \
-H "accept: application/json" \
-H "Content-Type: application/json" -d "{ \"destinationFolderId\": \"433001012\"}"
Example Output
{
"uploadUserFullName" : "org1admin",
"hash" : "7b86ac818182ee126e4c35790d3dcf35e8ca0720",
"size" : 29267,
"uploadUsername" : "axaxfbz5v85l7dp1",
"path" : "/Home/anynewuser/Intl_Sales_2018Q3.pptx",
"uploadAgentBrand" : "MOVEit Wizard JS",
"currentFileType" : "Upload31",
"orgID" : "9683",
"uploadComment" : "",
"dlpBlocked" : false,
"originalFilename" : "Intl_Sales_2018Q3.pptx",
"folderID" : "433001012",
"dlpMetaData" : 0,
"dlpChecked" : false,
"uploadUserRealname" : "Org1 Admin",
"originalFileType" : "Upload31",
"uploadAgentVersion" : "9.6.900.0",
"name" : "Intl_Sales_2018Q3.pptx",
"dlpViolation" : "",
"id" : "614439322",
"uploadIntegrity" : 1,
"uploadIP" : "10.225.128.106",
"isNew" : false,
"downloadCount" : 0,
"uploadStamp" : "2017-11-15T12:38:04"
}
Authorized users can get the MOVEit Transfer Server version and build.
REST Endpoint
https://<your-transfer-site>/api/v1/serverinfo
Example
curl -k -H 'Authorization: Bearer pl4B9ns6....iEtgpCWaA' https://moveit.example.com/api/v1/serverinfo
Example Output
{
"version" : "99.0.0.5071"
}